# Method: invalidation.partners.invalidateResource

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners/invalidateResource#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners/invalidateResource#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners/invalidateResource#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners/invalidateResource#body.response_body)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners/invalidateResource#body.aspect)

Invalidates an existing resource.

A request is ignored if the requested resource is not subscribed to Google service.

Supported resource types: - Pickup

### HTTP request

`POST https://mapsbooking.googleapis.com/v1alpha/invalidation/{resourceId=partners/**}:invalidateResource`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceId` | `string` The name of the resource to be invalidated. For example, for a Pickup resource, name should have the format of `partners/{partner_id}/pickups/{pickup_id}`. Implementations MUST remove cached versions of the identified resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`